Package org.eclipse.viatra.transformation.evm.specific.event

## Class ViatraQueryMatchEventFilter<Match extends IPatternMatch>

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.specific.event.ViatraQueryMatchEventFilter<Match>

- All Implemented Interfaces:
    `java.util.function.Predicate<Match>`, `EventFilter<Match>`

      public class ViatraQueryMatchEventFilter<Match extends IPatternMatch>
      extends java.lang.Object
      implements EventFilter<Match>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ViatraQueryMatchEventFilter()` | Only used internally to create empty filters
    `protected` | `ViatraQueryMatchEventFilter​(Match filterMatch)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <Match extends IPatternMatch> ViatraQueryMatchEventFilter<Match>` | `createFilter​(Match eventAtom)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `Match` | `getFilterMatch()` |
    `int` | `hashCode()` |
    `boolean` | `isProcessable​(Match eventAtom)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.transformation.evm.api.event.EventFilter

      `and, negate, or, test`

- - ### Constructor Detail

    - #### ViatraQueryMatchEventFilter

          protected ViatraQueryMatchEventFilter​(Match filterMatch)

    - #### ViatraQueryMatchEventFilter

          protected ViatraQueryMatchEventFilter()

      Only used internally to create empty filters

  - ### Method Detail

    - #### getFilterMatch

          public Match getFilterMatch()

    - #### isProcessable

          public boolean isProcessable​(Match eventAtom)

      Specified by:
        `isProcessable` in interface `EventFilter<Match extends IPatternMatch>`

    - #### createFilter

          public static <Match extends IPatternMatch> ViatraQueryMatchEventFilter<Match> createFilter​(Match eventAtom)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`